library hgg_base;

export 'package:bot_toast/bot_toast.dart';
export 'package:flutter_screenutil/flutter_screenutil.dart';

/// 导出第三方库 - getx
export 'package:get/get_core/get_core.dart';
export 'package:get/get_instance/get_instance.dart';
export 'package:get/get_navigation/get_navigation.dart';
export 'package:get/get_rx/get_rx.dart';
export 'package:get/get_state_manager/get_state_manager.dart';
export 'package:get/get_utils/get_utils.dart' hide WidgetMarginX, WidgetPaddingX, WidgetSliverBoxX;

export 'extensions/double_extensions.dart';
export 'extensions/map_extensions.dart';

/// extensions 相关
export 'extensions/widget_extensions.dart';

/// http 相关
export 'http/api_interceptor.dart';
export 'http/resp_data.dart';

/// init 相关
export 'init/x_hgg_init.dart';
export 'model/x_base_bean.dart';

/// model 相关
export 'model/x_base_model.dart';

/// pages 相关
export 'pages/blank_page.dart';

/// utils 相关
export 'utils/x_date_util.dart';
export 'utils/x_log.dart';
export 'utils/x_mock_image.dart';
export 'utils/x_msg.dart';
export 'utils/x_size.dart';
export 'utils/x_sp.dart';
export 'utils/x_util.dart';

/// widgets 相关
export 'widgets/x_getview.dart';
export 'widgets/x_image.dart';
export 'widgets/x_states_layout.dart';
